diff --git a/doc/bashref.ps b/doc/bashref.ps
index 715e4725..55f780ed 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -9254,254 +9260,257 @@ b(`)p Fs(&)p Ft(')36 b(ma)m(y)h(b)s(e)e(escap)s(ed)h(using)g(a)g(bac)m
 (subsequen)m(t)630 1176 y(lines)e(of)h(a)g(m)m(ulti-line)g(comp)s(ound)
 e(command)h(are)h(not)f(tested,)i(and)e(are)g(added)g(to)h(the)630
 1285 y(history)d(regardless)h(of)g(the)f(v)-5 b(alue)31
-b(of)g Fs(HISTIGNORE)p Ft(.)630 1418 y Fs(HISTIGNORE)20
+b(of)g Fs(HISTIGNORE)p Ft(.)630 1424 y Fs(HISTIGNORE)20
 b Ft(subsumes)g(the)j(function)f(of)h Fs(HISTCONTROL)p
 Ft(.)35 b(A)23 b(pattern)f(of)h(`)p Fs(&)p Ft(')g(is)f(iden)m(tical)630
-1527 y(to)k Fs(ignoredups)p Ft(,)e(and)h(a)h(pattern)g(of)f(`)p
+1534 y(to)k Fs(ignoredups)p Ft(,)e(and)h(a)h(pattern)g(of)f(`)p
 Fs([)31 b(]*)p Ft(')25 b(is)h(iden)m(tical)h(to)f Fs(ignorespace)p
-Ft(.)36 b(Com)m(bining)630 1637 y(these)30 b(t)m(w)m(o)h(patterns,)f
+Ft(.)36 b(Com)m(bining)630 1643 y(these)30 b(t)m(w)m(o)h(patterns,)f
 (separating)g(them)g(with)f(a)h(colon,)h(pro)m(vides)e(the)h
-(functionalit)m(y)h(of)630 1747 y Fs(ignoreboth)p Ft(.)150
-1902 y Fs(HISTSIZE)96 b Ft(The)42 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i
+(functionalit)m(y)h(of)630 1753 y Fs(ignoreboth)p Ft(.)150
+1922 y Fs(HISTSIZE)96 b Ft(The)42 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i
 (commands)e(to)j(remem)m(b)s(er)d(on)h(the)h(history)f(list.)77
-b(The)630 2012 y(default)31 b(v)-5 b(alue)30 b(is)h(500.)150
-2168 y Fs(HISTTIMEFORMAT)630 2277 y Ft(If)44 b(this)g(v)-5
+b(The)630 2031 y(default)31 b(v)-5 b(alue)30 b(is)h(500.)150
+2200 y Fs(HISTTIMEFORMAT)630 2309 y Ft(If)44 b(this)g(v)-5
 b(ariable)45 b(is)f(set)g(and)g(not)g(n)m(ull,)k(its)d(v)-5
 b(alue)44 b(is)g(used)g(as)g(a)h(format)f(string)g(for)630
-2387 y Fq(strftime)c Ft(to)35 b(prin)m(t)f(the)h(time)g(stamp)f(asso)s
+2419 y Fq(strftime)c Ft(to)35 b(prin)m(t)f(the)h(time)g(stamp)f(asso)s
 (ciated)i(with)f(eac)m(h)g(history)g(en)m(try)f(displa)m(y)m(ed)630
-2496 y(b)m(y)g(the)f Fs(history)f Ft(builtin.)50 b(If)33
+2528 y(b)m(y)g(the)f Fs(history)f Ft(builtin.)50 b(If)33
 b(this)h(v)-5 b(ariable)34 b(is)g(set,)h(time)f(stamps)g(are)g(written)
-f(to)i(the)630 2606 y(history)30 b(\014le)h(so)f(they)h(ma)m(y)g(b)s(e)
-f(preserv)m(ed)g(across)h(shell)f(sessions.)150 2762
-y Fs(HOSTFILE)96 b Ft(Con)m(tains)39 b(the)f(name)g(of)h(a)g(\014le)f
-(in)g(the)g(same)h(format)g(as)f(`)p Fs(/etc/hosts)p
-Ft(')e(that)j(should)630 2871 y(b)s(e)i(read)h(when)f(the)i(shell)f
+f(to)i(the)630 2638 y(history)26 b(\014le)g(so)g(they)g(ma)m(y)h(b)s(e)
+e(preserv)m(ed)g(across)i(shell)f(sessions.)39 b(This)25
+b(uses)h(the)g(history)630 2748 y(commen)m(t)31 b(c)m(haracter)h(to)f
+(distinguish)f(timestamps)h(from)f(other)g(history)h(lines.)150
+2916 y Fs(HOSTFILE)96 b Ft(Con)m(tains)39 b(the)f(name)g(of)h(a)g
+(\014le)f(in)g(the)g(same)h(format)g(as)f(`)p Fs(/etc/hosts)p
+Ft(')e(that)j(should)630 3026 y(b)s(e)i(read)h(when)f(the)i(shell)f
 (needs)f(to)i(complete)h(a)e(hostname.)76 b(The)42 b(list)g(of)g(p)s
-(ossible)630 2981 y(hostname)26 b(completions)g(ma)m(y)h(b)s(e)d(c)m
+(ossible)630 3135 y(hostname)26 b(completions)g(ma)m(y)h(b)s(e)d(c)m
 (hanged)j(while)e(the)h(shell)g(is)f(running;)h(the)g(next)f(time)630
-3091 y(hostname)37 b(completion)i(is)e(attempted)h(after)g(the)f(v)-5
+3245 y(hostname)37 b(completion)i(is)e(attempted)h(after)g(the)f(v)-5
 b(alue)37 b(is)h(c)m(hanged,)h(Bash)e(adds)g(the)630
-3200 y(con)m(ten)m(ts)27 b(of)f(the)g(new)f(\014le)h(to)h(the)f
+3354 y(con)m(ten)m(ts)27 b(of)f(the)g(new)f(\014le)h(to)h(the)f
 (existing)g(list.)40 b(If)25 b Fs(HOSTFILE)f Ft(is)i(set,)h(but)e(has)h
-(no)f(v)-5 b(alue,)630 3310 y(Bash)41 b(attempts)g(to)g(read)f(`)p
+(no)f(v)-5 b(alue,)630 3464 y(Bash)41 b(attempts)g(to)g(read)f(`)p
 Fs(/etc/hosts)p Ft(')f(to)i(obtain)g(the)f(list)h(of)g(p)s(ossible)f
-(hostname)630 3419 y(completions.)i(When)30 b Fs(HOSTFILE)e
+(hostname)630 3574 y(completions.)i(When)30 b Fs(HOSTFILE)e
 Ft(is)j(unset,)f(the)g(hostname)h(list)g(is)f(cleared.)150
-3575 y Fs(HOSTNAME)96 b Ft(The)30 b(name)g(of)h(the)f(curren)m(t)h
-(host.)150 3731 y Fs(HOSTTYPE)96 b Ft(A)30 b(string)h(describing)f(the)
-g(mac)m(hine)h(Bash)g(is)f(running)f(on.)150 3886 y Fs(IGNOREEOF)630
-3996 y Ft(Con)m(trols)e(the)h(action)g(of)f(the)g(shell)g(on)g(receipt)
+3742 y Fs(HOSTNAME)96 b Ft(The)30 b(name)g(of)h(the)f(curren)m(t)h
+(host.)150 3911 y Fs(HOSTTYPE)96 b Ft(A)30 b(string)h(describing)f(the)
+g(mac)m(hine)h(Bash)g(is)f(running)f(on.)150 4079 y Fs(IGNOREEOF)630
+4189 y Ft(Con)m(trols)e(the)h(action)g(of)f(the)g(shell)g(on)g(receipt)
 h(of)f(an)g Fs(EOF)f Ft(c)m(haracter)i(as)g(the)f(sole)h(input.)630
-4106 y(If)i(set,)i(the)f(v)-5 b(alue)32 b(denotes)f(the)g(n)m(um)m(b)s
+4298 y(If)i(set,)i(the)f(v)-5 b(alue)32 b(denotes)f(the)g(n)m(um)m(b)s
 (er)f(of)h(consecutiv)m(e)i Fs(EOF)d Ft(c)m(haracters)i(that)f(can)h(b)
-s(e)630 4215 y(read)40 b(as)f(the)h(\014rst)f(c)m(haracter)i(on)f(an)f
+s(e)630 4408 y(read)40 b(as)f(the)h(\014rst)f(c)m(haracter)i(on)f(an)f
 (input)g(line)h(b)s(efore)f(the)h(shell)g(will)g(exit.)70
-b(If)39 b(the)630 4325 y(v)-5 b(ariable)38 b(exists)f(but)f(do)s(es)g
+b(If)39 b(the)630 4517 y(v)-5 b(ariable)38 b(exists)f(but)f(do)s(es)g
 (not)h(ha)m(v)m(e)h(a)g(n)m(umeric)e(v)-5 b(alue)37 b(\(or)h(has)e(no)h
-(v)-5 b(alue\))37 b(then)g(the)630 4434 y(default)31
+(v)-5 b(alue\))37 b(then)g(the)630 4627 y(default)31
 b(is)g(10.)43 b(If)30 b(the)h(v)-5 b(ariable)31 b(do)s(es)g(not)g
 (exist,)h(then)e Fs(EOF)g Ft(signi\014es)h(the)g(end)f(of)h(input)630
-4544 y(to)g(the)g(shell.)41 b(This)29 b(is)i(only)f(in)g(e\013ect)i
-(for)e(in)m(teractiv)m(e)j(shells.)150 4700 y Fs(INPUTRC)144
+4737 y(to)g(the)g(shell.)41 b(This)29 b(is)i(only)f(in)g(e\013ect)i
+(for)e(in)m(teractiv)m(e)j(shells.)150 4905 y Fs(INPUTRC)144
 b Ft(The)68 b(name)h(of)f(the)h(Readline)g(initialization)j(\014le,)78
-b(o)m(v)m(erriding)69 b(the)g(default)g(of)630 4809 y(`)p
-Fs(~/.inputrc)p Ft('.)150 4965 y Fs(LANG)288 b Ft(Used)28
+b(o)m(v)m(erriding)69 b(the)g(default)g(of)630 5015 y(`)p
+Fs(~/.inputrc)p Ft('.)150 5183 y Fs(LANG)288 b Ft(Used)28
 b(to)h(determine)f(the)g(lo)s(cale)h(category)h(for)e(an)m(y)h
-(category)h(not)e(sp)s(eci\014cally)g(selected)630 5075
+(category)h(not)e(sp)s(eci\014cally)g(selected)630 5293
 y(with)i(a)h(v)-5 b(ariable)31 b(starting)g(with)f Fs(LC_)p
-Ft(.)150 5230 y Fs(LC_ALL)192 b Ft(This)28 b(v)-5 b(ariable)29
-b(o)m(v)m(errides)h(the)f(v)-5 b(alue)29 b(of)g Fs(LANG)f
-Ft(and)g(an)m(y)h(other)g Fs(LC_)f Ft(v)-5 b(ariable)29
-b(sp)s(ecifying)630 5340 y(a)i(lo)s(cale)h(category)-8
-b(.)p eop end
+Ft(.)p eop end
 %%Page: 65 71
 TeXDict begin 65 70 bop 150 -116 a Ft(Chapter)30 b(5:)41
-b(Shell)30 b(V)-8 b(ariables)2459 b(65)150 299 y Fs(LC_COLLATE)630
-408 y Ft(This)37 b(v)-5 b(ariable)38 b(determines)g(the)g(collation)i
+b(Shell)30 b(V)-8 b(ariables)2459 b(65)150 299 y Fs(LC_ALL)192
+b Ft(This)28 b(v)-5 b(ariable)29 b(o)m(v)m(errides)h(the)f(v)-5
+b(alue)29 b(of)g Fs(LANG)f Ft(and)g(an)m(y)h(other)g
+Fs(LC_)f Ft(v)-5 b(ariable)29 b(sp)s(ecifying)630 408
+y(a)i(lo)s(cale)h(category)-8 b(.)150 565 y Fs(LC_COLLATE)630
+675 y Ft(This)37 b(v)-5 b(ariable)38 b(determines)g(the)g(collation)i
 (order)d(used)g(when)f(sorting)i(the)g(results)g(of)630
-518 y(\014lename)e(expansion,)i(and)e(determines)g(the)h(b)s(eha)m
-(vior)f(of)g(range)h(expressions,)h(equiv-)630 628 y(alence)e(classes,)
+784 y(\014lename)e(expansion,)i(and)e(determines)g(the)h(b)s(eha)m
+(vior)f(of)g(range)h(expressions,)h(equiv-)630 894 y(alence)e(classes,)
 h(and)e(collating)i(sequences)e(within)f(\014lename)h(expansion)g(and)f
-(pattern)630 737 y(matc)m(hing)d(\(see)h(Section)f(3.5.8)h([Filename)g
-(Expansion],)e(page)h(23\).)150 902 y Fs(LC_CTYPE)96
+(pattern)630 1003 y(matc)m(hing)d(\(see)h(Section)f(3.5.8)h([Filename)g
+(Expansion],)e(page)h(23\).)150 1160 y Fs(LC_CTYPE)96
 b Ft(This)36 b(v)-5 b(ariable)37 b(determines)f(the)h(in)m
 (terpretation)h(of)f(c)m(haracters)h(and)e(the)g(b)s(eha)m(vior)h(of)
-630 1011 y(c)m(haracter)46 b(classes)g(within)e(\014lename)h(expansion)
-g(and)f(pattern)h(matc)m(hing)h(\(see)f(Sec-)630 1121
+630 1270 y(c)m(haracter)46 b(classes)g(within)e(\014lename)h(expansion)
+g(and)f(pattern)h(matc)m(hing)h(\(see)f(Sec-)630 1379
 y(tion)31 b(3.5.8)h([Filename)g(Expansion],)e(page)h(23\).)150
-1285 y Fs(LC_MESSAGES)630 1395 y Ft(This)25 b(v)-5 b(ariable)27
+1536 y Fs(LC_MESSAGES)630 1645 y Ft(This)25 b(v)-5 b(ariable)27
 b(determines)f(the)g(lo)s(cale)i(used)d(to)i(translate)g(double-quoted)
-f(strings)g(pre-)630 1504 y(ceded)31 b(b)m(y)f(a)h(`)p
+f(strings)g(pre-)630 1755 y(ceded)31 b(b)m(y)f(a)h(`)p
 Fs($)p Ft(')f(\(see)h(Section)h(3.1.2.5)g([Lo)s(cale)g(T)-8
-b(ranslation],)32 b(page)f(7\).)150 1669 y Fs(LC_NUMERIC)630
-1778 y Ft(This)f(v)-5 b(ariable)31 b(determines)f(the)h(lo)s(cale)h
+b(ranslation],)32 b(page)f(7\).)150 1911 y Fs(LC_NUMERIC)630
+2021 y Ft(This)f(v)-5 b(ariable)31 b(determines)f(the)h(lo)s(cale)h
 (category)g(used)e(for)g(n)m(um)m(b)s(er)f(formatting.)150
-1943 y Fs(LINENO)192 b Ft(The)30 b(line)h(n)m(um)m(b)s(er)e(in)h(the)g
+2178 y Fs(LINENO)192 b Ft(The)30 b(line)h(n)m(um)m(b)s(er)e(in)h(the)g
 (script)h(or)f(shell)g(function)h(curren)m(tly)f(executing.)150
-2107 y Fs(LINES)240 b Ft(Used)25 b(b)m(y)g(the)g Fs(select)e
+2334 y Fs(LINES)240 b Ft(Used)25 b(b)m(y)g(the)g Fs(select)e
 Ft(builtin)i(command)g(to)h(determine)f(the)g(column)g(length)g(for)g
-(prin)m(t-)630 2217 y(ing)31 b(selection)h(lists.)41
+(prin)m(t-)630 2444 y(ing)31 b(selection)h(lists.)41
 b(Automatically)33 b(set)e(up)s(on)e(receipt)i(of)f(a)h
-Fs(SIGWINCH)p Ft(.)150 2381 y Fs(MACHTYPE)96 b Ft(A)26
+Fs(SIGWINCH)p Ft(.)150 2600 y Fs(MACHTYPE)96 b Ft(A)26
 b(string)g(that)h(fully)f(describ)s(es)f(the)h(system)g(t)m(yp)s(e)h
 (on)f(whic)m(h)f(Bash)i(is)f(executing,)i(in)e(the)630
-2491 y(standard)k Fl(gnu)g Fq(cpu-compan)m(y-system)h
-Ft(format.)150 2655 y Fs(MAILCHECK)630 2765 y Ft(Ho)m(w)d(often)g(\(in)
+2710 y(standard)k Fl(gnu)g Fq(cpu-compan)m(y-system)h
+Ft(format.)150 2866 y Fs(MAILCHECK)630 2976 y Ft(Ho)m(w)d(often)g(\(in)
 g(seconds\))g(that)g(the)f(shell)h(should)f(c)m(hec)m(k)i(for)e(mail)h
-(in)f(the)h(\014les)g(sp)s(eci\014ed)630 2874 y(in)i(the)h
+(in)f(the)h(\014les)g(sp)s(eci\014ed)630 3086 y(in)i(the)h
 Fs(MAILPATH)e Ft(or)i Fs(MAIL)e Ft(v)-5 b(ariables.)43
 b(The)30 b(default)h(is)f(60)i(seconds.)42 b(When)30
-b(it)h(is)g(time)630 2984 y(to)37 b(c)m(hec)m(k)h(for)e(mail,)j(the)e
+b(it)h(is)g(time)630 3195 y(to)37 b(c)m(hec)m(k)h(for)e(mail,)j(the)e
 (shell)f(do)s(es)g(so)h(b)s(efore)f(displa)m(ying)h(the)f(primary)g
-(prompt.)57 b(If)630 3093 y(this)37 b(v)-5 b(ariable)38
+(prompt.)57 b(If)630 3305 y(this)37 b(v)-5 b(ariable)38
 b(is)f(unset,)h(or)f(set)h(to)g(a)f(v)-5 b(alue)38 b(that)f(is)g(not)h
-(a)f(n)m(um)m(b)s(er)f(greater)i(than)f(or)630 3203 y(equal)31
+(a)f(n)m(um)m(b)s(er)f(greater)i(than)f(or)630 3414 y(equal)31
 b(to)g(zero,)g(the)g(shell)g(disables)f(mail)h(c)m(hec)m(king.)150
-3367 y Fs(OLDPWD)192 b Ft(The)30 b(previous)g(w)m(orking)g(directory)h
-(as)g(set)g(b)m(y)f(the)h Fs(cd)e Ft(builtin.)150 3532
+3571 y Fs(OLDPWD)192 b Ft(The)30 b(previous)g(w)m(orking)g(directory)h
+(as)g(set)g(b)m(y)f(the)h Fs(cd)e Ft(builtin.)150 3727
 y Fs(OPTERR)192 b Ft(If)35 b(set)i(to)f(the)h(v)-5 b(alue)36
 b(1,)i(Bash)e(displa)m(ys)g(error)f(messages)i(generated)g(b)m(y)f(the)
-g Fs(getopts)630 3641 y Ft(builtin)30 b(command.)150
-3806 y Fs(OSTYPE)192 b Ft(A)30 b(string)h(describing)f(the)g(op)s
-(erating)h(system)g(Bash)f(is)h(running)d(on.)150 3970
-y Fs(PIPESTATUS)630 4080 y Ft(An)23 b(arra)m(y)h(v)-5
+g Fs(getopts)630 3837 y Ft(builtin)30 b(command.)150
+3994 y Fs(OSTYPE)192 b Ft(A)30 b(string)h(describing)f(the)g(op)s
+(erating)h(system)g(Bash)f(is)h(running)d(on.)150 4150
+y Fs(PIPESTATUS)630 4260 y Ft(An)23 b(arra)m(y)h(v)-5
 b(ariable)24 b(\(see)h(Section)f(6.7)h([Arra)m(ys],)g(page)f(78\))h
-(con)m(taining)g(a)f(list)g(of)g(exit)g(sta-)630 4189
+(con)m(taining)g(a)f(list)g(of)g(exit)g(sta-)630 4369
 y(tus)h(v)-5 b(alues)27 b(from)e(the)h(pro)s(cesses)g(in)f(the)h
 (most-recen)m(tly-executed)j(foreground)c(pip)s(eline)630
-4299 y(\(whic)m(h)30 b(ma)m(y)h(con)m(tain)h(only)f(a)f(single)h
-(command\).)150 4463 y Fs(POSIXLY_CORRECT)630 4573 y
+4479 y(\(whic)m(h)30 b(ma)m(y)h(con)m(tain)h(only)f(a)f(single)h
+(command\).)150 4635 y Fs(POSIXLY_CORRECT)630 4745 y
 Ft(If)h(this)h(v)-5 b(ariable)34 b(is)f(in)f(the)h(en)m(vironmen)m(t)h
 (when)d Fs(bash)h Ft(starts,)i(the)f(shell)g(en)m(ters)h
-Fl(posix)630 4682 y Ft(mo)s(de)22 b(\(see)h(Section)g(6.11)h([Bash)e
+Fl(posix)630 4855 y Ft(mo)s(de)22 b(\(see)h(Section)g(6.11)h([Bash)e
 (POSIX)f(Mo)s(de],)k(page)e(82\))g(b)s(efore)f(reading)g(the)g(startup)
-630 4792 y(\014les,)32 b(as)f(if)h(the)f(`)p Fs(--posix)p
+630 4964 y(\014les,)32 b(as)f(if)h(the)f(`)p Fs(--posix)p
 Ft(')f(in)m(v)m(o)s(cation)j(option)f(had)f(b)s(een)g(supplied.)42
-b(If)31 b(it)h(is)f(set)h(while)630 4902 y(the)f(shell)f(is)h(running,)
+b(If)31 b(it)h(is)f(set)h(while)630 5074 y(the)f(shell)f(is)h(running,)
 d Fs(bash)i Ft(enables)g Fl(posix)g Ft(mo)s(de,)g(as)h(if)f(the)h
-(command)870 5039 y Fs(set)47 b(-o)g(posix)630 5176 y
-Ft(had)30 b(b)s(een)f(executed.)150 5340 y Fs(PPID)288
-b Ft(The)30 b(pro)s(cess)g Fl(id)g Ft(of)h(the)f(shell's)h(paren)m(t)g
-(pro)s(cess.)40 b(This)30 b(v)-5 b(ariable)31 b(is)f(readonly)-8
-b(.)p eop end
+(command)870 5207 y Fs(set)47 b(-o)g(posix)630 5340 y
+Ft(had)30 b(b)s(een)f(executed.)p eop end
 %%Page: 66 72
 TeXDict begin 66 71 bop 150 -116 a Ft(66)2572 b(Bash)31
-b(Reference)g(Man)m(ual)150 299 y Fs(PROMPT_COMMAND)630
-408 y Ft(If)h(set,)h(the)f(v)-5 b(alue)33 b(is)f(in)m(terpreted)g(as)g
-(a)h(command)f(to)h(execute)g(b)s(efore)f(the)g(prin)m(ting)g(of)630
-518 y(eac)m(h)g(primary)d(prompt)g(\()p Fs($PS1)p Ft(\).)150
-682 y Fs(PS3)336 b Ft(The)34 b(v)-5 b(alue)35 b(of)f(this)g(v)-5
-b(ariable)35 b(is)g(used)e(as)i(the)f(prompt)g(for)g(the)g
-Fs(select)f Ft(command.)52 b(If)630 792 y(this)30 b(v)-5
-b(ariable)31 b(is)g(not)f(set,)i(the)e Fs(select)f Ft(command)h
-(prompts)f(with)h(`)p Fs(#?)g Ft(')150 956 y Fs(PS4)336
-b Ft(The)20 b(v)-5 b(alue)22 b(is)e(the)h(prompt)f(prin)m(ted)h(b)s
-(efore)f(the)h(command)g(line)g(is)g(ec)m(ho)s(ed)g(when)f(the)h(`)p
-Fs(-x)p Ft(')630 1066 y(option)32 b(is)f(set)h(\(see)g(Section)h(4.3.1)
-g([The)e(Set)g(Builtin],)i(page)f(49\).)45 b(The)31 b(\014rst)f(c)m
-(haracter)630 1176 y(of)k Fs(PS4)g Ft(is)g(replicated)i(m)m(ultiple)f
-(times,)h(as)e(necessary)-8 b(,)37 b(to)e(indicate)g(m)m(ultiple)g(lev)
-m(els)h(of)630 1285 y(indirection.)41 b(The)30 b(default)h(is)f(`)p
-Fs(+)g Ft('.)150 1450 y Fs(PWD)336 b Ft(The)30 b(curren)m(t)g(w)m
+b(Reference)g(Man)m(ual)150 299 y Fs(PPID)288 b Ft(The)30
+b(pro)s(cess)g Fl(id)g Ft(of)h(the)f(shell's)h(paren)m(t)g(pro)s(cess.)
+40 b(This)30 b(v)-5 b(ariable)31 b(is)f(readonly)-8 b(.)150
+463 y Fs(PROMPT_COMMAND)630 573 y Ft(If)32 b(set,)h(the)f(v)-5
+b(alue)33 b(is)f(in)m(terpreted)g(as)g(a)h(command)f(to)h(execute)g(b)s
+(efore)f(the)g(prin)m(ting)g(of)630 682 y(eac)m(h)g(primary)d(prompt)g
+(\()p Fs($PS1)p Ft(\).)150 847 y Fs(PS3)336 b Ft(The)34
+b(v)-5 b(alue)35 b(of)f(this)g(v)-5 b(ariable)35 b(is)g(used)e(as)i
+(the)f(prompt)g(for)g(the)g Fs(select)f Ft(command.)52
+b(If)630 956 y(this)30 b(v)-5 b(ariable)31 b(is)g(not)f(set,)i(the)e
+Fs(select)f Ft(command)h(prompts)f(with)h(`)p Fs(#?)g
+Ft(')150 1121 y Fs(PS4)336 b Ft(The)20 b(v)-5 b(alue)22
+b(is)e(the)h(prompt)f(prin)m(ted)h(b)s(efore)f(the)h(command)g(line)g
+(is)g(ec)m(ho)s(ed)g(when)f(the)h(`)p Fs(-x)p Ft(')630
+1230 y(option)32 b(is)f(set)h(\(see)g(Section)h(4.3.1)g([The)e(Set)g
+(Builtin],)i(page)f(49\).)45 b(The)31 b(\014rst)f(c)m(haracter)630
+1340 y(of)k Fs(PS4)g Ft(is)g(replicated)i(m)m(ultiple)f(times,)h(as)e
+(necessary)-8 b(,)37 b(to)e(indicate)g(m)m(ultiple)g(lev)m(els)h(of)630
+1450 y(indirection.)41 b(The)30 b(default)h(is)f(`)p
+Fs(+)g Ft('.)150 1614 y Fs(PWD)336 b Ft(The)30 b(curren)m(t)g(w)m
 (orking)h(directory)g(as)f(set)h(b)m(y)f(the)h Fs(cd)f
-Ft(builtin.)150 1614 y Fs(RANDOM)192 b Ft(Eac)m(h)30
+Ft(builtin.)150 1778 y Fs(RANDOM)192 b Ft(Eac)m(h)30
 b(time)g(this)f(parameter)g(is)g(referenced,)h(a)f(random)g(in)m(teger)
-h(b)s(et)m(w)m(een)g(0)f(and)g(32767)630 1724 y(is)i(generated.)43
+h(b)s(et)m(w)m(een)g(0)f(and)g(32767)630 1888 y(is)i(generated.)43
 b(Assigning)31 b(a)g(v)-5 b(alue)31 b(to)g(this)g(v)-5
 b(ariable)31 b(seeds)g(the)g(random)f(n)m(um)m(b)s(er)f(gen-)630
-1833 y(erator.)150 1998 y Fs(REPLY)240 b Ft(The)30 b(default)g(v)-5
+1998 y(erator.)150 2162 y Fs(REPLY)240 b Ft(The)30 b(default)g(v)-5
 b(ariable)32 b(for)e(the)g Fs(read)g Ft(builtin.)150
-2162 y Fs(SECONDS)144 b Ft(This)40 b(v)-5 b(ariable)41
+2326 y Fs(SECONDS)144 b Ft(This)40 b(v)-5 b(ariable)41
 b(expands)f(to)h(the)g(n)m(um)m(b)s(er)e(of)i(seconds)g(since)g(the)f
-(shell)h(w)m(as)g(started.)630 2271 y(Assignmen)m(t)i(to)g(this)g(v)-5
+(shell)h(w)m(as)g(started.)630 2436 y(Assignmen)m(t)i(to)g(this)g(v)-5
 b(ariable)43 b(resets)g(the)g(coun)m(t)g(to)g(the)g(v)-5
-b(alue)43 b(assigned,)j(and)c(the)630 2381 y(expanded)35
+b(alue)43 b(assigned,)j(and)c(the)630 2545 y(expanded)35
 b(v)-5 b(alue)36 b(b)s(ecomes)h(the)f(v)-5 b(alue)36
 b(assigned)g(plus)f(the)h(n)m(um)m(b)s(er)f(of)h(seconds)g(since)630
-2491 y(the)31 b(assignmen)m(t.)150 2655 y Fs(SHELL)240
+2655 y(the)31 b(assignmen)m(t.)150 2819 y Fs(SHELL)240
 b Ft(The)29 b(full)h(pathname)g(to)h(the)f(shell)g(is)g(k)m(ept)g(in)g
 (this)g(en)m(vironmen)m(t)g(v)-5 b(ariable.)42 b(If)29
-b(it)i(is)f(not)630 2765 y(set)36 b(when)f(the)h(shell)g(starts,)i
+b(it)i(is)f(not)630 2929 y(set)36 b(when)f(the)h(shell)g(starts,)i
 (Bash)e(assigns)h(to)f(it)h(the)f(full)f(pathname)h(of)g(the)g(curren)m
-(t)630 2874 y(user's)30 b(login)h(shell.)150 3039 y Fs(SHELLOPTS)630
-3148 y Ft(A)g(colon-separated)h(list)f(of)g(enabled)f(shell)h(options.)
+(t)630 3039 y(user's)30 b(login)h(shell.)150 3203 y Fs(SHELLOPTS)630
+3313 y Ft(A)g(colon-separated)h(list)f(of)g(enabled)f(shell)h(options.)
 41 b(Eac)m(h)31 b(w)m(ord)f(in)g(the)h(list)g(is)g(a)g(v)-5
-b(alid)630 3258 y(argumen)m(t)24 b(for)f(the)h(`)p Fs(-o)p
+b(alid)630 3422 y(argumen)m(t)24 b(for)f(the)h(`)p Fs(-o)p
 Ft(')f(option)h(to)g(the)g Fs(set)f Ft(builtin)g(command)g(\(see)i
-(Section)f(4.3.1)h([The)630 3367 y(Set)k(Builtin],)h(page)f(49\).)42
+(Section)f(4.3.1)h([The)630 3532 y(Set)k(Builtin],)h(page)f(49\).)42
 b(The)28 b(options)h(app)s(earing)f(in)g Fs(SHELLOPTS)e
-Ft(are)j(those)h(rep)s(orted)630 3477 y(as)g(`)p Fs(on)p
+Ft(are)j(those)h(rep)s(orted)630 3641 y(as)g(`)p Fs(on)p
 Ft(')f(b)m(y)h(`)p Fs(set)g(-o)p Ft('.)40 b(If)29 b(this)h(v)-5
 b(ariable)30 b(is)g(in)f(the)h(en)m(vironmen)m(t)g(when)f(Bash)h
-(starts)g(up,)630 3587 y(eac)m(h)41 b(shell)e(option)h(in)f(the)h(list)
+(starts)g(up,)630 3751 y(eac)m(h)41 b(shell)e(option)h(in)f(the)h(list)
 g(will)f(b)s(e)g(enabled)h(b)s(efore)f(reading)g(an)m(y)h(startup)f
-(\014les.)630 3696 y(This)30 b(v)-5 b(ariable)31 b(is)f(readonly)-8
-b(.)150 3861 y Fs(SHLVL)240 b Ft(Incremen)m(ted)21 b(b)m(y)g(one)g(eac)
+(\014les.)630 3861 y(This)30 b(v)-5 b(ariable)31 b(is)f(readonly)-8
+b(.)150 4025 y Fs(SHLVL)240 b Ft(Incremen)m(ted)21 b(b)m(y)g(one)g(eac)
 m(h)h(time)f(a)h(new)e(instance)h(of)g(Bash)g(is)g(started.)38
-b(This)20 b(is)h(in)m(tended)630 3970 y(to)31 b(b)s(e)f(a)h(coun)m(t)g
+b(This)20 b(is)h(in)m(tended)630 4134 y(to)31 b(b)s(e)f(a)h(coun)m(t)g
 (of)f(ho)m(w)h(deeply)f(y)m(our)g(Bash)h(shells)f(are)h(nested.)150
-4134 y Fs(TIMEFORMAT)630 4244 y Ft(The)f(v)-5 b(alue)32
+4299 y Fs(TIMEFORMAT)630 4408 y Ft(The)f(v)-5 b(alue)32
 b(of)f(this)g(parameter)g(is)g(used)f(as)h(a)g(format)h(string)f(sp)s
-(ecifying)f(ho)m(w)h(the)g(tim-)630 4354 y(ing)37 b(information)f(for)h
+(ecifying)f(ho)m(w)h(the)g(tim-)630 4518 y(ing)37 b(information)f(for)h
 (pip)s(elines)f(pre\014xed)f(with)h(the)h Fs(time)e Ft(reserv)m(ed)i(w)
-m(ord)f(should)g(b)s(e)630 4463 y(displa)m(y)m(ed.)k(The)27
+m(ord)f(should)g(b)s(e)630 4628 y(displa)m(y)m(ed.)k(The)27
 b(`)p Fs(\045)p Ft(')h(c)m(haracter)h(in)m(tro)s(duces)e(an)h(escap)s
-(e)g(sequence)g(that)g(is)f(expanded)g(to)630 4573 y(a)37
+(e)g(sequence)g(that)g(is)f(expanded)g(to)630 4737 y(a)37
 b(time)g(v)-5 b(alue)36 b(or)h(other)f(information.)59
 b(The)36 b(escap)s(e)g(sequences)h(and)e(their)i(meanings)630
-4682 y(are)31 b(as)f(follo)m(ws;)i(the)f(braces)f(denote)h(optional)h
-(p)s(ortions.)630 4847 y Fs(\045\045)384 b Ft(A)30 b(literal)i(`)p
-Fs(\045)p Ft('.)630 5011 y Fs(\045[)p Fj(p)11 b Fs(][l]R)85
-b Ft(The)30 b(elapsed)h(time)g(in)f(seconds.)630 5176
+4847 y(are)31 b(as)f(follo)m(ws;)i(the)f(braces)f(denote)h(optional)h
+(p)s(ortions.)630 5011 y Fs(\045\045)384 b Ft(A)30 b(literal)i(`)p
+Fs(\045)p Ft('.)630 5176 y Fs(\045[)p Fj(p)11 b Fs(][l]R)85
+b Ft(The)30 b(elapsed)h(time)g(in)f(seconds.)630 5340
 y Fs(\045[)p Fj(p)11 b Fs(][l]U)85 b Ft(The)30 b(n)m(um)m(b)s(er)f(of)h
-(CPU)g(seconds)h(sp)s(en)m(t)f(in)g(user)f(mo)s(de.)630
-5340 y Fs(\045[)p Fj(p)11 b Fs(][l]S)85 b Ft(The)30 b(n)m(um)m(b)s(er)f
-(of)h(CPU)g(seconds)h(sp)s(en)m(t)f(in)g(system)g(mo)s(de.)p
+(CPU)g(seconds)h(sp)s(en)m(t)f(in)g(user)f(mo)s(de.)p
 eop end
 %%Page: 67 73
 TeXDict begin 67 72 bop 150 -116 a Ft(Chapter)30 b(5:)41
-b(Shell)30 b(V)-8 b(ariables)2459 b(67)630 299 y Fs(\045P)384
-b Ft(The)30 b(CPU)g(p)s(ercen)m(tage,)i(computed)e(as)h(\(\045U)f
-Fs(+)g Ft(\045S\))g(/)h(\045R.)630 458 y(The)23 b(optional)j
-Fq(p)g Ft(is)e(a)g(digit)h(sp)s(ecifying)e(the)h(precision,)i(the)e(n)m
-(um)m(b)s(er)f(of)h(fractional)h(digits)630 568 y(after)36
-b(a)f(decimal)i(p)s(oin)m(t.)55 b(A)35 b(v)-5 b(alue)36
-b(of)f(0)h(causes)g(no)f(decimal)h(p)s(oin)m(t)f(or)h(fraction)g(to)g
-(b)s(e)630 677 y(output.)48 b(A)m(t)34 b(most)f(three)g(places)h(after)
-f(the)g(decimal)h(p)s(oin)m(t)f(ma)m(y)h(b)s(e)e(sp)s(eci\014ed;)i(v)-5
-b(alues)630 787 y(of)31 b Fq(p)h Ft(greater)g(than)e(3)h(are)f(c)m
-(hanged)h(to)g(3.)42 b(If)29 b Fq(p)k Ft(is)d(not)h(sp)s(eci\014ed,)f
-(the)h(v)-5 b(alue)30 b(3)h(is)g(used.)630 922 y(The)54
-b(optional)h Fs(l)f Ft(sp)s(eci\014es)g(a)h(longer)f(format,)61
-b(including)54 b(min)m(utes,)61 b(of)54 b(the)g(form)630
-1031 y Fq(MM)10 b Ft(m)p Fq(SS)p Ft(.)p Fq(FF)d Ft(s.)103
-b(The)50 b(v)-5 b(alue)52 b(of)f Fq(p)j Ft(determines)d(whether)f(or)h
-(not)h(the)f(fraction)h(is)630 1141 y(included.)630 1275
-y(If)30 b(this)g(v)-5 b(ariable)31 b(is)g(not)f(set,)i(Bash)e(acts)h
-(as)g(if)f(it)h(had)f(the)h(v)-5 b(alue)870 1410 y Fs
+b(Shell)30 b(V)-8 b(ariables)2459 b(67)630 299 y Fs(\045[)p
+Fj(p)11 b Fs(][l]S)85 b Ft(The)30 b(n)m(um)m(b)s(er)f(of)h(CPU)g
+(seconds)h(sp)s(en)m(t)f(in)g(system)g(mo)s(de.)630 458
+y Fs(\045P)384 b Ft(The)30 b(CPU)g(p)s(ercen)m(tage,)i(computed)e(as)h
+(\(\045U)f Fs(+)g Ft(\045S\))g(/)h(\045R.)630 618 y(The)23
+b(optional)j Fq(p)g Ft(is)e(a)g(digit)h(sp)s(ecifying)e(the)h
+(precision,)i(the)e(n)m(um)m(b)s(er)f(of)h(fractional)h(digits)630
+727 y(after)36 b(a)f(decimal)i(p)s(oin)m(t.)55 b(A)35
+b(v)-5 b(alue)36 b(of)f(0)h(causes)g(no)f(decimal)h(p)s(oin)m(t)f(or)h
+(fraction)g(to)g(b)s(e)630 837 y(output.)48 b(A)m(t)34
+b(most)f(three)g(places)h(after)f(the)g(decimal)h(p)s(oin)m(t)f(ma)m(y)
+h(b)s(e)e(sp)s(eci\014ed;)i(v)-5 b(alues)630 946 y(of)31
+b Fq(p)h Ft(greater)g(than)e(3)h(are)f(c)m(hanged)h(to)g(3.)42
+b(If)29 b Fq(p)k Ft(is)d(not)h(sp)s(eci\014ed,)f(the)h(v)-5
+b(alue)30 b(3)h(is)g(used.)630 1081 y(The)54 b(optional)h
+Fs(l)f Ft(sp)s(eci\014es)g(a)h(longer)f(format,)61 b(including)54
+b(min)m(utes,)61 b(of)54 b(the)g(form)630 1191 y Fq(MM)10
+b Ft(m)p Fq(SS)p Ft(.)p Fq(FF)d Ft(s.)103 b(The)50 b(v)-5
+b(alue)52 b(of)f Fq(p)j Ft(determines)d(whether)f(or)h(not)h(the)f
+(fraction)h(is)630 1300 y(included.)630 1435 y(If)30
+b(this)g(v)-5 b(ariable)31 b(is)g(not)f(set,)i(Bash)e(acts)h(as)g(if)f
+(it)h(had)f(the)h(v)-5 b(alue)870 1569 y Fs
 ($'\\nreal\\t\0453lR\\nuser\\t\0453)o(lU\\n)o(sys\\)o(t\0453)o(lS')630
-1544 y Ft(If)37 b(the)g(v)-5 b(alue)38 b(is)f(n)m(ull,)i(no)f(timing)f
+1704 y Ft(If)37 b(the)g(v)-5 b(alue)38 b(is)f(n)m(ull,)i(no)f(timing)f
 (information)h(is)f(displa)m(y)m(ed.)62 b(A)37 b(trailing)i(newline)e
-(is)630 1654 y(added)30 b(when)f(the)i(format)f(string)h(is)f(displa)m
-(y)m(ed.)150 1813 y Fs(TMOUT)240 b Ft(If)22 b(set)h(to)g(a)g(v)-5
+(is)630 1813 y(added)30 b(when)f(the)i(format)f(string)h(is)f(displa)m
+(y)m(ed.)150 1973 y Fs(TMOUT)240 b Ft(If)22 b(set)h(to)g(a)g(v)-5
 b(alue)23 b(greater)h(than)e(zero,)j Fs(TMOUT)d Ft(is)g(treated)i(as)e
-(the)h(default)g(timeout)g(for)g(the)630 1923 y Fs(read)31
+(the)h(default)g(timeout)g(for)g(the)630 2082 y Fs(read)31
 b Ft(builtin)h(\(see)h(Section)f(4.2)i([Bash)e(Builtins],)h(page)g
-(41\).)47 b(The)32 b Fs(select)e Ft(command)630 2032
+(41\).)47 b(The)32 b Fs(select)e Ft(command)630 2192
 y(\(see)f(Section)h(3.2.4.2)g([Conditional)g(Constructs],)e(page)i
-(10\))f(terminates)g(if)g(input)e(do)s(es)630 2142 y(not)k(arriv)m(e)g
+(10\))f(terminates)g(if)g(input)e(do)s(es)630 2301 y(not)k(arriv)m(e)g
 (after)g Fs(TMOUT)e Ft(seconds)h(when)f(input)h(is)g(coming)h(from)f(a)
-h(terminal.)630 2276 y(In)25 b(an)h(in)m(teractiv)m(e)i(shell,)g(the)e
+h(terminal.)630 2436 y(In)25 b(an)h(in)m(teractiv)m(e)i(shell,)g(the)e
 (v)-5 b(alue)26 b(is)g(in)m(terpreted)g(as)g(the)g(n)m(um)m(b)s(er)f
-(of)h(seconds)f(to)i(w)m(ait)630 2386 y(for)32 b(input)f(after)i
+(of)h(seconds)f(to)i(w)m(ait)630 2545 y(for)32 b(input)f(after)i
 (issuing)f(the)g(primary)g(prompt)f(when)g(the)i(shell)f(is)h(in)m
-(teractiv)m(e.)49 b(Bash)630 2496 y(terminates)31 b(after)g(that)g(n)m
+(teractiv)m(e.)49 b(Bash)630 2655 y(terminates)31 b(after)g(that)g(n)m
 (um)m(b)s(er)e(of)i(seconds)f(if)g(input)g(do)s(es)g(not)g(arriv)m(e.)
-150 2655 y Fs(TMPDIR)192 b Ft(If)39 b(set,)j(Bash)e(uses)f(its)h(v)-5
+150 2814 y Fs(TMPDIR)192 b Ft(If)39 b(set,)j(Bash)e(uses)f(its)h(v)-5
 b(alue)40 b(as)f(the)h(name)f(of)h(a)g(directory)g(in)f(whic)m(h)g
-(Bash)h(creates)630 2765 y(temp)s(orary)30 b(\014les)g(for)g(the)h
-(shell's)g(use.)150 2924 y Fs(UID)336 b Ft(The)30 b(n)m(umeric)g(real)h
+(Bash)h(creates)630 2924 y(temp)s(orary)30 b(\014les)g(for)g(the)h
+(shell's)g(use.)150 3083 y Fs(UID)336 b Ft(The)30 b(n)m(umeric)g(real)h
 (user)f(id)g(of)g(the)h(curren)m(t)f(user.)40 b(This)30
 b(v)-5 b(ariable)31 b(is)f(readonly)-8 b(.)p eop end
 %%Page: 68 74
